#include<iostream>

using namespace std;

long long n,poc[101],k,br,p;

int main()
{
//    n=8888888888888888888;
//    n=600;
//    cout<<n<<endl;
    cin>>n;
//    p=n/10;
    for(long long i=1;i<=n;i*=10)
    {
        k++;
        poc[k]=i;
        k++;
        poc[k]=i*2;
        k++;
        poc[k]=i*5;
        if(i>=1e18) break;
//        cout<<k<<endl;
    }
//    for(int i=1;i<=k;i++)
//    {
//        cout<<poc[i]<<endl;
//    }
    while(n>0)
    {
        if(n>=poc[k]){
            n-=poc[k];
            br++;
        }
        else
            k--;
    }
    cout<<br<<endl;

    return 0;
}